package com.bonus.canteen.core.common.config.sys;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(
   prefix = "enterprise-code"
)
public class EnterpriseCodeProperties {
   public static final String PREFIX = "enterprise-code";
   private String appId;
   private String privateKey;
   private String alipayPublicKey;

   public String getAppId() {
      return this.appId;
   }

   public String getPrivateKey() {
      return this.privateKey;
   }

   public String getAlipayPublicKey() {
      return this.alipayPublicKey;
   }

   public void setAppId(final String appId) {
      this.appId = appId;
   }

   public void setPrivateKey(final String privateKey) {
      this.privateKey = privateKey;
   }

   public void setAlipayPublicKey(final String alipayPublicKey) {
      this.alipayPublicKey = alipayPublicKey;
   }

}
